import com.alibaba.fastjson.JSON;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.dto.hm.HmGroupDTO;
import com.gic.haoban.manage.api.dto.hm.HmGroupQueryDTO;
import com.gic.haoban.manage.api.dto.hm.HmPageDTO;
import com.gic.haoban.manage.api.dto.hm.HmPageRelationDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmPageQDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmPageRelationQDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.api.service.hm.HmGroupApiService;
import com.gic.haoban.manage.api.service.hm.HmPageApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class HmPageServiceTest {

    @Autowired
    private HmPageApiService pageService;

    @Autowired
    private WxEnterpriseRelatedApiService enterpriseRelatedApiService;

    @Autowired
    private HmGroupApiService groupService;

    @Test
    public void test(){
        HmPageQDTO pageQDTO = new HmPageQDTO();
        pageQDTO.setPageSearchText("MB01419872763172380673");
        ServiceResponse<Page<HmPageDTO>> pageServiceResponse = pageService.queryPageList(pageQDTO);
    }


    @Test
    public void entriprise(){
        ServiceResponse<EnterpriseDetailDTO> enterpriseDetailDTOServiceResponse = enterpriseRelatedApiService.queryEnterpriseDetail("ca66a01b79474c40b3e7c7f93daf1a3b", "ff8080815dacd3a2015dacd3ef5c0000");
        System.out.println(JSON.toJSONString(enterpriseDetailDTOServiceResponse));
    }

    @Test
    public void queryPageList(){
        HmPageRelationQDTO pageRelationQDTO = new HmPageRelationQDTO();
        pageRelationQDTO.setPageId(418460224953786370L);
        pageRelationQDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        ServiceResponse<Page<HmPageRelationDTO>> pageServiceResponse = pageService.queryPageRelation(pageRelationQDTO);
        System.out.println(JSON.toJSONString(pageServiceResponse));
    }

    @Test
    public void deletePage(){
        HmPageDTO pageDTO = new HmPageDTO();
        pageDTO.setPageId(418460224953786370L);
        ServiceResponse<Boolean> booleanServiceResponse = pageService.deleteHmPage(pageDTO);
        System.out.println(JSON.toJSONString(booleanServiceResponse));
    }

    @Test
    public void groupList(){
        HmGroupQueryDTO groupQueryDTO = new HmGroupQueryDTO();
        groupQueryDTO.setGroupName("默认");
        ServiceResponse<Page<HmGroupDTO>> pageServiceResponse = groupService.queryHmGroupSettingList(groupQueryDTO);
        System.out.println(JSON.toJSONString(pageServiceResponse));
    }

}
